Package org.apache.wiki.util

# Enum URIScheme

java.lang.Object
java.lang.Enum<URIScheme>
org.apache.wiki.util.URIScheme

All Implemented Interfaces:
  `Serializable`, `Comparable<URIScheme>`

public enum URIScheme extends Enum<URIScheme>
Enumerates supported URI schemes.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`HTTP`
`HTTPS`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`id`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`boolean`
`same(String scheme)`
`String`
`toString()`
`static URIScheme`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static URIScheme[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HTTP

public static final URIScheme HTTP

### HTTPS

public static final URIScheme HTTPS

## Field Details

### id

public final String id

## Method Details

### values

public static URIScheme[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static URIScheme valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public String getId()

### same

public boolean same(String scheme)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<URIScheme>`